Contents
Index 🔎︎

# Atn Function

Faankishiniin tiriigoomeetirikii himannoo lakkofsa aarkitaanjantii deebisa.Gatiin deebii isaa gidduu -Pi/2 fi +Pi/2 ti.

Aarktaanjantiin faallaa taanjantiiti. Faankishiniin Atn kofa "Aalfaa" kan raadiyaaniin ibsamu taanjantii kofa kana fayyadamuun deebisa.Faankishiniin dabalees kofa"Aalfaa" reeshoo dheerina roga faallaa kofa dheerina roga walcinaa kofa rog-sadee sirri ta'ee deebisa.

Atn(moggaan faalaa kofaa/moggaa kofaan olaa)= Alpha

### Syntax:

            Atn (Number)

### Return value:

Dachaa

### Parameters:

Number: Himannoon lakkoofsa kamuu raashoo rag-sadee sirrii roga lamaan bakka bu'a. Faankishiniin Atn gita kofa raadiyaaniin (aarkitaanjantii)deebisa.

Raadiyaanii gara diigriitti jijjiiruuf, raadiyaanii 180/pi baay'si.

degree=(radian*180)/pi

radian=(degree*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159. Pi is a Basic mathematical constant.

## Error codes:

5 Ejjatoo fashalaan waamu

### Example:

            REM fakkeenyi armaan gadii rog-sadee kofa sirrii safaruuf.
            REM the angle Alpha from the tangent of the angle Alpha:
            Sub ExampleAtn
            REM rounded Pi = 3.14159 is a predefined constant
            Dim d1 As Double
            Dim d2 As Double
                d1 = InputBox("Enter the length of the side adjacent to the angle: ","Adjacent")
                d2 = InputBox("Enter the length of the side opposite the angle: ","Opposite")
                Print "The Alpha angle is"; (atn (d2/d1) * 180 / Pi); " degrees"
            End Sub